# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/pressure/fsl,mpl3115.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MPL3115 precision pressure sensor with altimetry

maintainers:
  - Antoni Pokusinski <apokusinski01@gmail.com>

description: |
  MPL3115 is a pressure/altitude and temperature sensor with I2C interface.
  It features two programmable interrupt lines which indicate events such as
  data ready or pressure/temperature threshold reached.
  https://www.nxp.com/docs/en/data-sheet/MPL3115A2.pdf

properties:
  compatible:
    const: fsl,mpl3115

  reg:
    maxItems: 1

  vdd-supply: true

  vddio-supply: true

  interrupts:
    minItems: 1
    maxItems: 2

  interrupt-names:
    minItems: 1
    maxItems: 2
    items:
      enum:
        - INT1
        - INT2

  drive-open-drain:
    type: boolean
    description:
      set if the specified interrupt pins should be configured as
      open drain. If not set, defaults to push-pull.

required:
  - compatible
  - reg
  - vdd-supply
  - vddio-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        pressure@60 {
            compatible = "fsl,mpl3115";
            reg = <0x60>;
            vdd-supply = <&vdd>;
            vddio-supply = <&vddio>;
            interrupt-parent = <&gpio1>;
            interrupts = <4 IRQ_TYPE_EDGE_FALLING>;
            interrupt-names = "INT2";
        };
    };
